Bug 487821 - Miro deletes youtube videos when upgrading 1.x->2.0
Miro deletes youtube videos when upgrading 1.x->2.0
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 20:52 EST by Joe Bayes
Modified: 2009-11-22 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 17:06:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2009-02-27 20:52:26 EST
Miro version 1.x stores videos in ~/Movies/Miro. Version 2.x stores movies in ~/Videos/Miro. So when a user upgrades, Miro cannot find the movies that already exist on the system, because the movies are in Movies/Miro and miro only knows to look in Videos/Miro

Steps to Reproduce:
1. Install Miro 1.x. Download some stuff. 
2. Upgrade to Miro 2.x
  
Actual results:
Downloaded movies are not available in miro.

Expected results:
Downloaded movies continue to be available in miro. 

Additional info:
I would assume that this can be fixed by simply moving the Movies/Miro directory, if it exists, to Videos/Miro. If so, perhaps the 2.0 install script can check for the old directory and offer to move it? Or, at least, it could warn the user the first time it's run.
Comment 1 Joe Bayes 2009-03-02 12:42:13 EST
Erm...perhaps I was mistaken. It seems that Miro can find the videos in ~/Movies/Miro ; I was confused because Miro can't find the videos that I downloaded from youtube. I can't find them either. Did Miro just go ahead and delete them? :( :( :(
Comment 2 Alex Lancaster 2009-03-16 06:20:55 EDT
If they were downloaded from Miro 1.2.x they should still be sitting in ~/Movies/YouTube/
Comment 3 Joe Bayes 2009-03-19 11:01:32 EDT
I don't think they ever were in ~/Movies/YouTube/. IIRC each stream was in its own folder in ~/Movies/Miro/. Whichever it was, they're gone now; even locate can't find them. 

It's probably a little late to bother fixing this bug; now that 2.0 is in stable, anybody who was going to get bitten by it has already gotten bitten. Hopefully it was only me.
Comment 4 Bug Zapper 2009-11-18 06:15:21 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Alex Lancaster 2009-11-22 17:06:41 EST
This seems to work for me when upgrading from an older version, I didn't lose videos.  As comment #3 indicates, it might have been a transient problem between two older versions, so closing bug.  If a similar problem arises, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.